unit UCustomPanel;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.StdCtrls,
  FMX.Controls.Presentation, FMX.TMSBaseControl, FMX.TMSPlannerBase,
  FMX.TMSPlannerData, FMX.TMSPlanner, FMX.Edit ;

type
  TForm70 = class(TForm)
    TMSFMXPlanner1: TTMSFMXPlanner;
    Panel1: TPanel;
    Edit1: TEdit;
    procedure TMSFMXPlanner1ItemToCustomContentPanel(Sender: TObject;
      AItem: TTMSFMXPlannerItem; AContentPanel: TControl);
    procedure TMSFMXPlanner1GetCustomContentPanel(Sender: TObject;
      AItem: TTMSFMXPlannerItem; var AContentPanel: TControl);
    procedure TMSFMXPlanner1CustomContentPanelToItem(Sender: TObject;
      AContentPanel: TControl; AItem: TTMSFMXPlannerItem);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form70: TForm70;

implementation

{$R *.fmx}

function FindChild(AContainer: TControl; AName: String): TControl;
var
  I: Integer;
begin
  Result := nil;
  for I := 0 to AContainer.ControlsCount - 1 do
  begin
    if AContainer.Controls[I].Name = AName then
    begin
      Result := AContainer.Controls[I];
      Break;
    end;
    Result := FindChild(AContainer.Controls[I], AName);
  end;
end;

procedure TForm70.FormCreate(Sender: TObject);
begin
  Panel1.Visible := False;
  TMSFMXPlanner1.Interaction.UpdateMode := pumDialog;
end;

procedure TForm70.TMSFMXPlanner1CustomContentPanelToItem(Sender: TObject;
  AContentPanel: TControl; AItem: TTMSFMXPlannerItem);
begin
  AItem.Title := (FindChild(AContentPanel, 'Edit1') as TEdit).Text;
end;

procedure TForm70.TMSFMXPlanner1GetCustomContentPanel(Sender: TObject;
  AItem: TTMSFMXPlannerItem; var AContentPanel: TControl);
begin
  AContentPanel := Panel1;
end;

procedure TForm70.TMSFMXPlanner1ItemToCustomContentPanel(Sender: TObject;
  AItem: TTMSFMXPlannerItem; AContentPanel: TControl);
begin
  (FindChild(AContentPanel, 'Edit1') as TEdit).Text := AItem.Title;
end;

end.
